<?php
/**
 * The template for displaying the footer
 *
 * Contains the opening of the #bottom div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

?>
<div class="container-fluid" id="bottom">

	<div class="container">

		<div class="row">

			<div class="col-12 col-md-5 mb-3 mb-md-0">

				<span>
					<?php
					echo esc_html(
						date_i18n(
						/* translators: Copyright date format, see https://www.php.net/date */
							_x( 'Y', 'copyright date format', 'cihuatl' )
						)
					);
					?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>.
					<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'cihuatl' ) ); ?>">
						<?php esc_html_e( 'Powered by WordPress', 'cihuatl' ); ?>
					</a>
				</span>
			</div>
			<div class="col-12 col-md-7 text-md-right">
				<p>
					<span class="heart"><i class="fa fa-heart" aria-hidden="true"></i></span>
                    <?php
                    /* translators: %1$s link, %2$s theme author */
                    printf( __( 'Designed by <a href="%1$s">%2$s.</a>', 'cihuatl' ), esc_url( 'https://openthemes.com/' ), 'Open Themes' );
                    ?>
				</p>
			</div>

		</div><!-- .row -->

	</div><!-- .container -->

</div><!-- container-fluid -->

<a href='javascript:void(0)' id='back-top'>
	<i class='fa fa-angle-up'></i>
</a>

<?php wp_footer(); ?>

</body>

</html>
