<?php
/**
 * The default template for displaying the header
 *
 * Used is every page.
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="utf-8">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="container-fluid bg-dark" id="top-menu">

	<!-- skip links for screen readers -->
	<span class="sr-only">
		<a href="#posts"><?php esc_html_e( 'Go to main content', 'cihuatl' ); ?></a>
		<a href="#sidebar"><?php esc_html_e( 'Go to sitebar', 'cihuatl' ); ?></a>
	</span>

	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
		<a class="navbar-brand" href="<?php echo esc_url( home_url() ); ?>"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php esc_attr_e( 'Toggle navigation', 'cihuatl' ); ?>">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav mr-auto">

				<?php
                if ( has_nav_menu( 'primary' ) ) {
                    wp_nav_menu(
                        array(
                            'theme_location' => 'primary',
                            'walker' => new Cihuatl_Walker_Menu(),
                            'items_wrap' => '%3$s',
                            'container' => '',
                            'container_class' => '',
                        )
                    );
                }
				?>

			</ul>

			<?php

			// Check whether the header search is activated in the customizer.
			$enable_header_search = get_theme_mod( 'enable_header_search', true );

			if ( true === $enable_header_search ) {

				?>

			<div class="form-inline my-2 my-lg-0 text-light">
				<a href="#" data-toggle="modal" data-target="#searchModal" class="text-light">
					<i class="fa fa-search" aria-hidden="true"></i>
				</a>
			</div>
			<div class="modal fade" id="searchModal" tabindex="-1" role="dialog" aria-labelledby="searchModalLabel" aria-hidden="true">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						<div class="modal-header bg-dark text-light">
							<h5 class="modal-title" id="searchModalLabel">Search</h5>
							<button type="button" class="close text-light" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<form class="my-2" action="<?php echo esc_url( home_url( '/' ) ); ?>">
								<div class="input-group mb-3">
									<input type="text" class="form-control" name="s" aria-label="<?php esc_attr_e( 'Search form', 'cihuatl' ); ?>" aria-describedby="button-addon2" />
									<div class="input-group-append">
										<button class="btn btn-outline-secondary" type="submit" id="button-addon2"><?php esc_html_e( 'Search', 'cihuatl' ); ?></button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>

			<?php } ?>

		</div>
	</nav>
</div>


<header class="container py-5" id="header">
	<?php
	// Site title or logo.
	cihuatl_site_logo();

	// Site description.
	cihuatl_site_description();
	?>
</header>
