<?php
/**
 * Cihuatl Custom CSS
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since 1.0.0
 */

if ( ! function_exists( 'cihuatl_get_customizer_css' ) ) {

	/**
	 * Get CSS Built from Customizer Options.
	 * Build CSS reflecting colors, sidebar position and other options set in the Customizer, and return them for output.
	 *
	 * @param string $type Whether to return CSS for the front-end
	 * @return string Return the CSS to be embed on the template.
	 */
	function cihuatl_get_customizer_css( $type = 'front-end' ) {

		ob_start();

		// Sidebar position
		$sidebar_position = get_theme_mod( 'sidebar_position', 'right' );
		if ( $sidebar_position == 'left' ) {
			?>
			#main > .row { flex-direction: row-reverse !important; }
			<?php
		} elseif ( $sidebar_position == 'none' ) {
			?>
			#posts { flex: 0 0 100% !important; max-width: 100% !important; }
			<?php
		}

		$header_footer_background = get_theme_mod( 'header_footer_background_color', '#343a40' );
		if ( $header_footer_background != '#343a40' ) {
			?>
			nav.navbar, #top-menu, #footer { background-color: <?php echo esc_html( $header_footer_background ); ?> !important; }
			<?php
		}

		// Return the results.
		return ob_get_clean();

	}
}
