/**
 * Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 *
 * @since Cihuatl 1.0
 */

( function( $, api, _ ) {

	// Update header and footer color in real time
	wp.customize(
		'header_footer_background_color',
		function( value ) {
			value.bind(
				function( newval ) {
					$( 'nav.navbar, #top-menu, #footer' ).css( 'cssText', 'background-color: ' + newval + ' !important;' );
				}
			);
		}
	);

}( jQuery, wp.customize, _ ) );
