/**
 * Scripts to update the customizer content
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

( function( $, api ) {
	$( document ).ready(
		function() {
			let showSlider            = $( '#_customize-input-show_slider' );
			let numberOfSlidesControl = $( '#customize-control-number_of_slides' );
			let sliderContent         = $( 'input[name="_customize-radio-slider_content"]' );
			let sliderContentControl  = $( '#customize-control-slider_content' );
			let sliderContentCategory = $( '#_customize-input-slider_content-radio-category' );
			let sliderCategoryControl = $( '#customize-control-slider_category' );

			if ( ! showSlider.is( ':checked' ) ) {
				  numberOfSlidesControl.hide();
				  sliderContentControl.hide();
				  sliderCategoryControl.hide()
			}

			if ( ! sliderContentCategory.is( ':checked' ) ) {
				sliderCategoryControl.hide();
			}

			showSlider.change(
				function(){
					if ( $( this ).is( ':checked' ) ) {
						  numberOfSlidesControl.show();
						  sliderContentControl.show();
						if ( sliderContentCategory.is( ':checked' ) ) {
							sliderCategoryControl.show()
						}
					} else {
						numberOfSlidesControl.hide();
						sliderContentControl.hide();
						sliderCategoryControl.hide();
					}
				}
			);

			sliderContent.change(
				function() {
					if ( sliderContentCategory.is( ':checked' ) ) {
						  sliderCategoryControl.show();
					} else {
						sliderCategoryControl.hide();
					}

				}
			);

		}
	);
}( jQuery, wp.customize ) );
