<?php
/**
 * The default template for displaying the posts and pages
 *
 * Used for both posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

?>
<?php get_header(); ?>

<div class="container-fluid" id="content-wrapper">

	<div class="container" id="main">

		<div class="row">

			<section class="col-12 col-md-8 col-lg-9" id="posts">
				<?php
				if ( have_posts() ) {
					while ( have_posts() ) {
						the_post();
						get_template_part( 'template-parts/content', get_post_type() );
					}
				}
				?>
			</section>

			<?php if ( get_theme_mod( 'sidebar_position', 'right' ) !== 'none' && is_active_sidebar( 'right-sidebar' ) ) : ?>

				<div class="col-12 col-md-4 col-lg-3" id="sidebar">

					<?php dynamic_sidebar( 'right-sidebar' ); ?>

				</div>

			<?php endif; ?>

		</div> <!-- .row -->

		<?php get_template_part( 'template-parts/pagination' ); ?>

	</div> <!-- .main -->

</div> <!-- .content-wrapper -->

<?php get_template_part( 'template-parts/footer-menus-widgets' ); ?>

<?php get_footer(); ?>
