<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

?>

<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">

	<?php get_template_part( 'template-parts/entry-header' ); ?>

	<main class="post-body">
		<div class="post-thumbnail <?php echo ( ! has_post_thumbnail() ) ? esc_attr( ' no-thumbnail' ) : ''; ?>">
			<?php if ( ! is_singular() ) { ?>
			<div class="post-tags">
				<?php the_tags( '', ' ' ); ?>
			</div>
			<div class="post-author">
				<div class="post-author-wrap">
                    <span><?php esc_html_e( 'by', 'cihuatl' ); ?></span> <?php the_author(); ?>
                </div>
			</div>
			<?php } ?>
			<?php if ( has_post_thumbnail() ) : ?>
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail(); ?>
				</a>
			<?php endif; ?>
		</div>
		<div class="post-content clearfix">
			<?php
			if ( is_search() || ! is_singular() && 'summary' === get_theme_mod( 'blog_content', 'full' ) ) {
				the_excerpt();
			} else {
				the_content( esc_attr__( 'Continue reading', 'cihuatl' ) );
			}
			?>
            <?php
            if( is_single() )
            {
            ?>
            <p><?php echo esc_html_e( 'Categories: ', 'cihuatl' ) . get_the_category_list( ', ' ); ?></p>
            <?php
            }
            ?>
		</div>
	</main> <!-- .post-content -->
	<?php
		wp_link_pages(
			array(
				'before'      => '<nav class="post-nav-links" aria-label="' . esc_attr__( 'Page', 'cihuatl' ) . '"><span class="label">' . __( 'Pages:', 'cihuatl' ) . '</span>',
				'after'       => '</nav>',
				'link_before' => '<span class="page-number">',
				'link_after'  => '</span>',
			)
		);
		?>

	<footer class="post-footer row">

		<?php
		if ( is_single() || is_page() ) {
			?>

			<div class="post-share col-6 text-left">
				<a href="https://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-facebook" aria-hidden="true"></i>
				</a>
				<a href="https://twitter.com/share?url=<?php the_permalink(); ?>&text=<?php the_title(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-twitter" aria-hidden="true"></i>
				</a>
				<a href="https://www.pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=&description=<?php the_title(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-pinterest-p" aria-hidden="true"></i>
				</a>
				<a href="https://api.whatsapp.com/send?text=<?php the_title(); ?>%20|%20<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-whatsapp" aria-hidden="true"></i>
				</a>
				<a href="mailto:?subject=<?php the_title(); ?>&body=<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-envelope-o" aria-hidden="true"></i>
				</a>
			</div>

			<div class="post-comments-number col-6 text-right">
				<?php comments_number(); ?>
			</div>

			<?php
		} else {
			?>

			<div class="read-more col-12 col-sm-4 text-center text-sm-left">
				<a href="<?php the_permalink(); ?>"> <?php echo __( 'Read more', 'cihuatl' ); ?> <i class="fa fa-angle-right" aria-hidden="true"></i></a>
			</div>
			<div class="post-share col-6 col-sm-4 text-left text-sm-center">
				<a href="https://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-facebook" aria-hidden="true"></i>
				</a>
				<a href="https://twitter.com/share?url=<?php the_permalink(); ?>&text=<?php the_title(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-twitter" aria-hidden="true"></i>
				</a>
				<a href="https://www.pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=&description=<?php the_title(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-pinterest-p" aria-hidden="true"></i>
				</a>
				<a href="https://api.whatsapp.com/send?text=<?php the_title(); ?>%20|%20<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-whatsapp" aria-hidden="true"></i>
				</a>
				<a href="mailto:?subject=<?php the_title(); ?>&body=<?php the_permalink(); ?>" onclick="window.open(this.href, 'windowName', 'width=550, height=650, left=24, top=24, scrollbars, resizable'); return false;">
					<i class="fa fa-envelope-o" aria-hidden="true"></i>
				</a>
			</div>
			<div class="post-comments-number col-6 col-sm-4 text-right">
				<?php comments_number(); ?>
			</div>

			<?php
		}
		?>

	</footer> <!-- .post-footer -->

	<?php
	/**
	 * Out put the author bio if supported and is activated on the costumizer
	 */
	if ( post_type_supports( get_post_type( get_the_ID() ), 'author' ) && is_single() ) {

		get_template_part( 'template-parts/entry-author-bio' );

	}

	/**
	 * Output next-previous post navigation on single pages
	 */
	if ( is_single() ) {
		get_template_part( 'template-parts/next-previous-post-navigation' );
	}

	/**
	 * Output related posts based on post tags
	 */
	if ( is_single() ) {
		get_template_part( 'template-parts/related-posts' );
	}

	/**
	*  Output comments wrapper if it's a post, or if comments are open,
	* or if there's a comment number – and check for password.
	* */
	if ( ( is_singular() || is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) {
		?>

	<div class="comments-wrapper section-inner">

		<?php comments_template(); ?>

	</div><!-- .comments-wrapper -->

		<?php
	}
	?>

</article>
