<?php
/**
 * The template for displaying Author info
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

if ( (bool) get_the_author_meta( 'description' ) && (bool) get_theme_mod( 'show_author_bio', true ) ) : ?>


	<div id="author-box">

		<div class="author-box-avatar">
			<?php echo get_avatar( get_the_author_meta( 'ID' ), 250 ); ?>
		</div>

		<div class="author-box-name">
			<?php
			printf(
				'%s',
				esc_html( get_the_author() )
			);
			?>
		</div><!-- .author-box-name -->

		<div class="author-box-description">
			<?php echo wp_kses_post( wpautop( get_the_author_meta( 'description' ) ) ); ?>
			<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
				<?php esc_html_e( 'View Archive', 'cihuatl' ); ?> <span aria-hidden="true">&rarr;</span>
			</a>
		</div> <!-- .author-box-description -->

	</div><!-- .author-box -->

<?php endif; ?>
