<?php
/**
 * Displays the post header
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

$entry_header_classes = '';

if ( is_singular() ) {
	$entry_header_classes .= ' header-footer-group';
}

?>

<header class="post-header text-center mb-3">
	<div class="post-title">
		<a href="<?php the_permalink(); ?>">
			<h2><?php the_title(); ?></h2>
		</a>
	</div>
	<div class="post-header-line-1">
		<div class="post-date">
			<i class="fa fa-clock-o" aria-hidden="true"></i> <?php the_time( 'd / m / Y' ); ?>
		</div>
		<?php if ( is_singular() ) { ?>
		<div class="post-tags">
			<?php the_tags( '', ' ' ); ?>
		</div>
		<div class="post-author">
			<span><?php esc_html_e( 'by', 'cihuatl' ); ?></span> <?php the_author(); ?>
		</div>
		<?php } ?>
	</div>
</header> <!-- .post-header -->
