<?php
/**
 * Displays the menus and widgets at the end of the main element.
 * Visually, this output is presented as part of the footer element.
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

$has_sidebar_1 = is_active_sidebar( 'sidebar-1' );
$has_sidebar_2 = is_active_sidebar( 'sidebar-2' );
$has_sidebar_3 = is_active_sidebar( 'sidebar-3' );

// Only output the container if there are elements to display.
if ( $has_sidebar_1 || $has_sidebar_2 || $has_sidebar_3 ) {
	?>

	<footer class="container-fluid bg-dark text-light" id="footer">

		<div class="container">

			<div class="row">

				<div class="col-12 col-sm-6 col-lg-4" id="footer-1">

					<?php dynamic_sidebar( 'sidebar-1' ); ?>

				</div>

				<div class="col-12 col-sm-6 col-lg-4" id="footer-2">

					<?php dynamic_sidebar( 'sidebar-2' ); ?>

				</div>

				<div class="col-12 col-sm-6 col-lg-4" id="footer-3">

					<?php dynamic_sidebar( 'sidebar-3' ); ?>

				</div>

			</div><!-- .row -->

		</div><!-- .container -->

	</footer><!-- .container-fluid -->

<?php } ?>
