<?php
/**
 * Template to display the next-previous post navigation
 *
 * Used for single page.
 *
 * @link https://core.trac.wordpress.org/browser/tags/5.4/src/wp-includes/link-template.php
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

/**
 * Get the next and the previous post
 */
$next_post = get_next_post();

$previous_post = get_previous_post();

?>

<div id="post-navigation" class="container">

	<div class="row">

		<div id="next-post" class="col-12 col-sm-6">

			<?php
			if ( $next_post ) {
				if ( has_post_thumbnail( $next_post->ID ) ) {
					?>
			<div class="nav-post-thumb">
				<a href="<?php the_permalink( $next_post->ID ); ?>">
					<?php echo get_the_post_thumbnail( $next_post->ID ); ?>
				</a>
			</div>
				<?php } ?>

			<div class="nav-post-info d-flex align-items-center">
				<a href="<?php the_permalink( $next_post->ID ); ?>">
					<i class="fa fa-angle-left" aria-hidden="true"></i> <?php echo esc_html( get_the_title( $next_post->ID ) ); ?>
				</a>
			</div>
				<?php
			}
			?>

		</div>

		<div id="previous-post" class="col-12 col-sm-6">

			<?php
			if ( $previous_post ) {
				if ( has_post_thumbnail( $previous_post->ID ) ) {
					?>
			<div class="nav-post-thumb">
				<a href="<?php the_permalink( $previous_post->ID ); ?>">
					<?php echo get_the_post_thumbnail( $previous_post->ID ); ?>
				</a>
			</div>
					<?php
				}
				?>

			<div class="nav-post-info d-flex align-items-center justify-content-end">
				<a href="<?php the_permalink( $previous_post->ID ); ?>">
					<?php echo esc_html( get_the_title( $previous_post->ID ) ); ?> <i class="fa fa-angle-right" aria-hidden="true"></i>
				</a>
			</div>
				<?php
			}
			?>

		</div>


	</div><!-- .row -->

</div><!-- .post-navigation -->
