<?php
/**
 * The template for related posts
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

if ( get_theme_mod( 'show_related_posts' ) ) {

	$tags = wp_get_post_tags( $post->ID );

	$cats = wp_get_post_categories( $post->ID );

	if ( $tags || $cats ) {
		?>

		<div id="related-posts">

			<h5>Related posts</h5>

			<div class="related-post-list row">

				<?php
				$tag_ids = $cat_ids = array();

				foreach ( $tags as $individual_tag ) {
					$tag_ids[] = $individual_tag->term_id;
				}

				foreach ( $cats as $i => $category ) {
					$cat_ids[] = $category;
				}

				$args = array(
					'post__not_in'     => array( $post->ID ),
					'posts_per_page'   => 3, // Number of related posts to display.
                    'ignore_sticky_posts' => true,
				);

				if ( $tags ) {
					$args['tag__in'] = $tag_ids;
				} else {
					$args['category__in'] = $cat_ids;
				}

				$my_query = new WP_Query( $args );

				while ( $my_query->have_posts() ) {
					$my_query->the_post();
					?>

					<div class="related-post col-6 col-sm-4">

						<div class="related-post-thumb">
							<a href="<?php the_permalink(); ?>">
								<?php
								if ( has_post_thumbnail() ) {
									the_post_thumbnail( 'medium' );
								} else {
									?>
									<svg class="bd-placeholder-img bd-placeholder-img-lg d-block" width="125" height="75" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false" role="img"><title></title><rect width="100%" height="100%" fill="#777"></rect><text x="50%" y="50%" fill="#555" dy=".3em"></text></svg>
									<?php
								}
								?>
							</a>
						</div>

						<div class="related-post-info">
							<?php get_the_tags(); ?>
						</div>

						<div class="related-post-title">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
						</div>

					</div><!-- .related-post -->

				<?php } ?>

			</div><!-- .related-posts-list -->

		</div><!-- .related-posts -->
				<?php
				wp_reset_postdata();
	}
}
