<?php
/**
 * The template for the slider
 *
 * @package WordPress
 * @subpackage Cihuatl
 * @since Cihuatl 1.0
 */

$display_slider = get_theme_mod( 'show_slider' );

if ( is_home() && $display_slider ) {

	$slides = array();

	$number_of_slides = get_theme_mod( 'number_of_slides' );

	$slider_content = get_theme_mod( 'slider_content' );

	$wp_query_attributes = array(
		'posts_per_page' => $number_of_slides,
		'meta_query'     => array( array( 'key' => '_thumbnail_id' ) ),
        'ignore_sticky_posts' => true,
    );

    if ( 'category' === $slider_content ) {

		$category_number                     = intval( get_theme_mod( 'slider_category' ) );
		$wp_query_attributes['category__in'] = array( $category_number );

	}

	$slides = new WP_Query( $wp_query_attributes );

	if ( $slides->have_posts() ) {
		?>

<div class="container mb-4">

	<div id="slider" class="carousel slide" data-ride="carousel">
		<ol class="carousel-indicators">
			<?php
			$i = 0;
			while ( $slides->have_posts() ) {
				$slides->the_post();
				?>
				<li data-target="#slider" data-slide-to="<?php echo intval( $i ); ?>" <?php echo ( 0 === $i ) ? ' class="active"' : ''; ?>></li>
				<?php
				$i++;
			}
			?>
		</ol>

		<div class="carousel-inner">
			<?php
			$i = 0;
			while ( $slides->have_posts() ) {
				$slides->the_post();
				?>
			<div class="carousel-item <?php echo ( 0 === $i ) ? ' active' : ''; ?>">
				<?php the_post_thumbnail(); ?>
				<div class="carousel-caption d-none d-md-block">
					<a href="<?php the_permalink(); ?>">
                        <h5><?php the_title(); ?></h5>
                    </a>
                    <a href="<?php the_permalink(); ?>">
					    <?php the_excerpt(); ?>
                    </a>
				</div>
			</div>
				<?php
				$i++;
			}
			?>
		</div>
		<a class="carousel-control-prev" href="#slider" role="button" data-slide="prev">
			<span class="carousel-control-prev-icon" aria-hidden="true"></span>
			<span class="sr-only"><?php esc_html_e( 'Previous', 'cihuatl' ); ?></span>
		</a>
		<a class="carousel-control-next" href="#slider" role="button" data-slide="next">
			<span class="carousel-control-next-icon" aria-hidden="true"></span>
			<span class="sr-only"><?php esc_html_e( 'Next', 'cihuatl' ); ?></span>
		</a>

	</div><!-- slider -->

</div><!-- .container -->
		<?php
	}
}
?>
